require 'spec_helper'

describe 'murano::db::postgresql' do

  shared_examples_for 'murano::db::postgresql' do
    let :req_params do
      { :password => 'pw' }
    end

    let :pre_condition do
      'include postgresql::server'
    end

    context 'with only required parameters' do
      let :params do
        req_params
      end

      it { is_expected.to contain_postgresql__server__db('murano').with(
        :user     => 'murano',
        :password => 'md5c73cd23dae0b015e51ff2b38714d0bab'
      )}
    end

  end

  on_supported_os({
    :supported_os   => OSDefaults.get_supported_os
  }).each do |os,facts|
    context "on #{os}" do
      let (:facts) do
        facts.merge(OSDefaults.get_facts({
          :concat_basedir => '/var/lib/puppet/concat'
        }))
      end

      it_configures 'murano::db::postgresql'
    end
  end

end
